<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Moxit: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Moxit
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespaceCatch.html">Catch</a></li><li class="navelem"><a class="el" href="namespaceCatch_1_1Generators.html">Generators</a></li><li class="navelem"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">RepeatGenerator</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">Catch::Generators::RepeatGenerator&lt; T &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a>()=default</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a00ff0179d739c3016756b6cf56fabbad">GeneratorUntypedBase</a>()=default</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a43bd573274c9a0cd7f4406a3d0d36d49">get</a>() const override</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a43bd573274c9a0cd7f4406a3d0d36d49">get</a>() const override</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#ad834535fe3a2aec44bf53632c43f68cf">m_current_repeat</a></td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a836e8d6ec91a2ff70c792c9da0e1f04d">m_generator</a></td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#ab311143cc38451a21de61f444fbc7cf6">m_repeat_index</a></td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a2dddde7c72c525be12cdb1fe08f8d378">m_returned</a></td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">mutable</span><span class="mlabel">private</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#af73981a50e1e1438d0159ac0b55a84bf">m_target_repeats</a></td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a24d5c2b1c09d6d220d4bd4c83f222dcb">next</a>() override</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a24d5c2b1c09d6d220d4bd4c83f222dcb">next</a>() override</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a3aee12c4f9c2c04823ca3c75a20f234f">RepeatGenerator</a>(size_t repeats, GeneratorWrapper&lt; T &gt; &amp;&amp;generator)</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html#a3aee12c4f9c2c04823ca3c75a20f234f">RepeatGenerator</a>(size_t repeats, GeneratorWrapper&lt; T &gt; &amp;&amp;generator)</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1RepeatGenerator.html">Catch::Generators::RepeatGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> typedef</td><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#a1f8677875fe0ff31f39c60d45504b9a5">type</a> typedef</td><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html#a6f05f8099fdc5744a7aff68aa8c09c7f">~GeneratorUntypedBase</a>()</td><td class="entry"><a class="el" href="classCatch_1_1Generators_1_1GeneratorUntypedBase.html">Catch::Generators::GeneratorUntypedBase</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a>()=default</td><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html#afe5b6eecbbd735e69748d68574611747">~IGenerator</a>()=default</td><td class="entry"><a class="el" href="structCatch_1_1Generators_1_1IGenerator.html">Catch::Generators::IGenerator&lt; T &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.17
</small></address>
</body>
</html>
